| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | List of all members
Ogre::D3D9StereoDriverNVIDIA Class Reference

Interface of the NVIDIA stereo driver. More...

`#include <OgreD3D9StereoDriverNVIDIA.h>`

Inheritance diagram for Ogre::D3D9StereoDriverNVIDIA:
[legend]

## Public Member Functions
| D3D9StereoDriverNVIDIA ()
virtual | ~D3D9StereoDriverNVIDIA ()
virtual bool | addRenderWindow (D3D9RenderWindow *renderWindow)
virtual bool | isStereoEnabled (const String &renderWindowName)
virtual bool | removeRenderWindow (const String &renderWindowName)
virtual bool | setDrawBuffer (ColourBufferType colourBuffer)

## Detailed Description

Interface of the NVIDIA stereo driver.

## Constructor & Destructor Documentation

## ◆ D3D9StereoDriverNVIDIA()

Ogre::D3D9StereoDriverNVIDIA::D3D9StereoDriverNVIDIA | ( |  | ) |

## ◆ ~D3D9StereoDriverNVIDIA()

virtual Ogre::D3D9StereoDriverNVIDIA::~D3D9StereoDriverNVIDIA | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ addRenderWindow()

virtual bool Ogre::D3D9StereoDriverNVIDIA::addRenderWindow | ( | D3D9RenderWindow * | renderWindow | ) |
| virtual

Implements Ogre::D3D9StereoDriverImpl.

## ◆ removeRenderWindow()

virtual bool Ogre::D3D9StereoDriverNVIDIA::removeRenderWindow | ( | const String & | renderWindowName | ) |
| virtual

Implements Ogre::D3D9StereoDriverImpl.

## ◆ isStereoEnabled()

virtual bool Ogre::D3D9StereoDriverNVIDIA::isStereoEnabled | ( | const String & | renderWindowName | ) |
| virtual

Implements Ogre::D3D9StereoDriverImpl.

## ◆ setDrawBuffer()

virtual bool Ogre::D3D9StereoDriverNVIDIA::setDrawBuffer | ( | ColourBufferType | colourBuffer | ) |
| virtual

Implements Ogre::D3D9StereoDriverImpl.

The documentation for this class was generated from the following file:

- OgreD3D9StereoDriverNVIDIA.h